from pydantic import BaseModel

class create_assistant_request(BaseModel):
    user_id: str
    name: str
    system_prompt : str
    user_info : str
    llm_info : str
    tts_info : str

class update_assistant_request(BaseModel):
    name: str
    system_prompt : str
    messages: str
    user_info : str
    llm_info : str
    tts_info : str
    
class create_user_request(BaseModel):
    name: str
    email: str
    password: str
    
class update_user_request(BaseModel):
    name: str
    email: str
    password: str

class update_assistant_system_prompt_request(BaseModel):
    system_prompt:str

class update_assistant_deatil_params_request(BaseModel):
    platform:str
    model :str
    temperature :float
    tts_engine:str
    speaker_id:int
    length_scale:float
    language:str
    style_text:str
    style_weight:float
    
    
class update_assistant_max_tokens_request(BaseModel):
    max_tokens:int